Bug 58427 - extra file in -devel rpm
Summary: extra file in -devel rpm
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: modutils (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-16 13:59 UTC by Peter Bowen
Modified: 2014-03-17 02:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-16 14:00:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Bowen 2002-01-16 13:59:56 UTC
In recent modutils rpms, the new devel rpm has had a /usr/lib/libobj.a file in
it.  This file is the same as libmodutilobj.a, also provided in the devel rpm.

Fix:
Remove these two lines from the %install section of the spec file
install -m 644 obj/*.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644 insmod/*.a $RPM_BUILD_ROOT/%{_libdir}

They are not needed as the following is in the %build section:
cp util/libutil.a libs/libmodutilutil.a
cp obj/libobj.a libs/libmodutilobj.a

Comment 1 Bill Nottingham 2002-01-24 07:02:21 UTC
Fixed in 2.4.12-8.


Note You need to log in before you can comment on or make changes to this bug.